apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-alertmanager-ingress
  namespace: prometheus
spec:
  description: Allow Nginx ingress
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: alertmanager
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: ingress-nginx
